<script setup>
import {computed, onMounted, onUnmounted, ref, watch} from "vue";
import hkModule from "@/views/video/components/js/hkVideo/hkModule";
const props = defineProps({
	companyVideoData: {
		type: Object,
		default() {
			return {
				ip: "192.168.10.5",
				port: 80,
				username: "admin",
				password: "a123456789"
			};
		},
	},
});

// 海康威视模块
const {
	divPlugin, iWndowType, gIWndIndex,
	videoInitPlugin, clickLogin
} = hkModule();


onMounted(()=>{
	videoInitPlugin(()=>{
		//clickLogin(props.companyVideoData);
	});
});

onUnmounted(()=>{
	WebVideoCtrl.I_Logout(props.companyVideoData.ip);
	WebVideoCtrl.I_GetPluginOBJECT().JS_DestroyPlugin();
});
</script>

<template>
	<div class="video-player">
		<div id="divPlugin" class="divPlugin" ref="divPlugin"></div>
	</div>
</template>

<style scoped>
.video-player {
	position: relative;
	width: 100%;
	height: 100%;
}
.divPlugin {
	width: 100%;
	height: 100%;
}
.hk-tools-wrapper {
	position: absolute;
	width: 300px;
	right: 0;
	top: 0;
	bottom: 0;
	background-color: #ffffff;
	z-index: 99;
}
</style>
